TITLE "Reset TomCat pointers using BBSID.PTR"

;-----------------------------------------------------------------------
;NOTE: This script file is for use with Robocomm ver 4.x and WildCat
;      BBSes using the TomCat door. It assumes that PKunZIP is in your
;      path, that the TomCat door is accessed from the Message Menu, and
;      that the command to get to the Message Menu from the Main Menu is
;      "M [Return]". Edit lines 3, 4, and/or 7 if this is not the case.
;      Written by Michael MacDonald
;-----------------------------------------------------------------------

PARAMETER 1 "Set pointers to [B]efore or [A]fter last D/L?"
ENDPARAMS
MESSAGE "Resetting message pointers"
WHEN "%BBS32%" SEND "|"                        ;More?
WHEN "%BBS34%" SEND "|"                        ;Pause
WAITFOR "%BBS35%"                              ;Main Menu Prompt
SEND "M|"                                      ;Request Message Menu
WAITFOR "%BBS47%"                              ;Message Menu Prompt
SEND "%BBS63%|"                                ;Open Mail Door
WAITFOR "%BBS40%"                              ;Mail Door Main Prompt
RUN "PKUNZIP -o %QWKDIR%%ID%.QWK %ID%.PTR"     ;Unzip the PNT file
IF ERRORLEVEL GOTO ERROR                       ;See if PKunZIP failed
SEND "C|"                                      ;Choose [C]onfigure
WAITFOR "CONFIGURE MENU"                       ;Configure Prompt
SEND "U|"                                      ;Request PTR upload
WAITFOR "%ID%.PTR"                             ;The BBS is ready
UPLOAD "%ID%.PTR" USING "%BBS22%"              ;Upload the PTR
WHEN "[B]efore or [A]fter" SEND "%P1%|"        ;Is this configurable?
WAITFOR "CONFIGURE MENU"                       ;Configure Prompt
SEND "Q|"                                      ;Quit Configure
WAITFOR "%BBS40%"                              ;Mail Door Main Prompt
SEND "Q|"                                      ;Quit TomCat Door
WAITFOR "%BBS47%"                              ;Message Menu Prompt
SEND "Q|"                                      ;Request Main Menu
EXIT 0                                         ;Exit the script
:ERROR
SEND "Q|"                                      ;Quit TomCat Door
EXIT 1                                         ;Exit with an error
